commit 72f2f177a17c2c1d5b09ca3c524fa22ef251b934
Author: Richard Sandiford <richard.sandiford@arm.com>
Date:   Tue Sep 29 11:22:05 2020 +0100

    aarch64: Update feature macro name
    
    GCC used the name __ARM_FEATURE_SVE_VECTOR_OPERATIONS, but in the
    final spec it was renamed to__ARM_FEATURE_SVE_VECTOR_OPERATORS.
    
    gcc/
            * config/aarch64/aarch64-c.c (aarch64_update_cpp_builtins): Rename
            __ARM_FEATURE_SVE_VECTOR_OPERATIONS to
            __ARM_FEATURE_SVE_VECTOR_OPERATORS.
    
    gcc/testsuite/
            * gcc.target/aarch64/sve/acle/general/attributes_1.c: Rename
            __ARM_FEATURE_SVE_VECTOR_OPERATIONS to
            __ARM_FEATURE_SVE_VECTOR_OPERATORS.
    
    (cherry picked from commit ef4af9eddea5a658eb7d6dc29fcb58aa54c9dd9f)

diff --git a/gcc/config/aarch64/aarch64-c.c b/gcc/config/aarch64/aarch64-c.c
index 1a1f4ecef04..fd08be47570 100644
--- a/gcc/config/aarch64/aarch64-c.c
+++ b/gcc/config/aarch64/aarch64-c.c
@@ -149,7 +149,7 @@ aarch64_update_cpp_builtins (cpp_reader *pfile)
 	bits = 0;
       builtin_define_with_int_value ("__ARM_FEATURE_SVE_BITS", bits);
     }
-  aarch64_def_or_undef (TARGET_SVE, "__ARM_FEATURE_SVE_VECTOR_OPERATIONS",
+  aarch64_def_or_undef (TARGET_SVE, "__ARM_FEATURE_SVE_VECTOR_OPERATORS",
 			pfile);
   aarch64_def_or_undef (TARGET_SVE_I8MM,
 			"__ARM_FEATURE_SVE_MATMUL_INT8", pfile);
diff --git a/gcc/testsuite/gcc.target/aarch64/sve/acle/general/attributes_1.c b/gcc/testsuite/gcc.target/aarch64/sve/acle/general/attributes_1.c
index 6cd4f99911e..17acfc32e78 100644
--- a/gcc/testsuite/gcc.target/aarch64/sve/acle/general/attributes_1.c
+++ b/gcc/testsuite/gcc.target/aarch64/sve/acle/general/attributes_1.c
@@ -6,8 +6,8 @@
 #error "__ARM_FEATURE_SVE_BITS is not defined but should be"
 #endif
 
-#if __ARM_FEATURE_SVE_VECTOR_OPERATIONS != 1
-#error "__ARM_FEATURE_SVE_VECTOR_OPERATIONS should be equal to 1"
+#if __ARM_FEATURE_SVE_VECTOR_OPERATORS != 1
+#error "__ARM_FEATURE_SVE_VECTOR_OPERATORS should be equal to 1"
 #endif
 
 #ifndef __cplusplus

